import { createI18n } from 'vue-i18n'

const i18n = createI18n({
    locale: 'tr',
    messages: {
        en: {
            home: 'Home',
            users: 'Users',
            report: 'Report',
            menu: 'Menu',
            logout: 'Logout',
            newUser: 'New User',
            name: 'Name',
            email: 'Email',
            password: 'Password',
            pass_info: 'If you do not want to change your password, do not fill out this field.',
            role: 'Role',
            please: 'Please Choose',
            save: 'Save',
            cancel: 'Cancel',
            userReport: 'User Report',
            email: 'Email',
            role: 'Role',
            createdAt: 'Created At',
            actions: 'Actions',
            edit: 'Edit',
            delete: 'Delete',
            search: 'Search',
            updateUser: 'Updated User',
            numMember: 'Number of Members',
            dateRegisterUser: 'Number of registered members by date',
            addUser: 'User Added Successfully',
            deleteUser: 'User Deleted Successfully',
            warning:'Warning',
            deleteText:'Are you sure you want to delete this record?',
            deleted:'Deleted',
            yes:'Yes',
            no:'No',
            deletedMessage:'The data you selected has been deleted',
            onCanceled:'On Canceled',
            dataSafe:'Your data is safe.',
            accessMessage:'You are not authorized to access'
        },
        tr: {
            home: 'Ana Sayfa',
            users: 'Kullanıcılar',
            report: 'Raporlar',
            menu: 'Menü',
            logout: 'Çıkış Yap',
            newUser: 'Yeni Kullanıcı',
            name: 'Adı',
            email: 'E Posta',
            password: 'Parola',
            pass_info: 'Şifrenizi değiştirmek istemiyorsanız bu alanı doldurmayın.',
            role: 'Rolü',
            please: 'Lütfen Seçiniz',
            save: 'Kaydet',
            cancel: 'İptal Et',
            userReport: 'Kullanıcı Raporu',
            numMember: 'Üye Sayısı',
            email: 'E Posta',
            role: 'Rolü',
            createdAt: 'Kayıt Tarihi',
            actions: 'Hareketler',
            edit: 'Düzenle',
            delete: 'Sil',
            search: 'Ara',
            updateUser: 'Kullanıcı Güncellendi',
            dateRegisterUser: 'Tarihe göre kayıtlı üye sayısı',
            addUser: 'Kullanıcı Baaşrıyla Eklendi',
            deleteUser: 'Silindi',
            warning:'Uyarı',
            deleteText:'Bu kaydı silmek istediğinize emin misiniz ?',
            deleted:'Silindi',
            yes:'Evet',
            no:'Hayır',
            deletedMessage:'Seçtiğiniz veri silindi',
            onCanceled:'İptal Edildi',
            dataSafe:'Verileriniz güvende.',
            accessMessage:'Erişim yetkiniz yok'
        },
    }
})
export default i18n